Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.wsht
Class AsyncHornetQHTWorkItemHandler

    java.lang.Object
      org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
          org.jbpm.process.workitem.wsht.AsyncGenericHTWorkItemHandler
              org.jbpm.process.workitem.wsht.AsyncHornetQHTWorkItemHandler

All Implemented Interfaces:
  WorkItemHandler

    public class AsyncHornetQHTWorkItemHandler

extends AsyncGenericHTWorkItemHandler

This class provides the default configurations for a HornetQ WorkItem Handler

Field Summary

Fields inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`action, eventHandlers, session`

Constructor Summary
`AsyncHornetQHTWorkItemHandler(AsyncTaskService client, KnowledgeRuntime session, boolean owningSessionOnly)`
`AsyncHornetQHTWorkItemHandler(AsyncTaskService client, KnowledgeRuntime session, OnErrorAction action)`
`AsyncHornetQHTWorkItemHandler(KnowledgeRuntime session)`
`AsyncHornetQHTWorkItemHandler(KnowledgeRuntime session, boolean owningSessionOnly)`
`AsyncHornetQHTWorkItemHandler(KnowledgeRuntime session, OnErrorAction action)`
`AsyncHornetQHTWorkItemHandler(String connectorName, AsyncTaskService client, KnowledgeRuntime session, OnErrorAction action)`
`AsyncHornetQHTWorkItemHandler(String connectorName, AsyncTaskService client, KnowledgeRuntime session, OnErrorAction action, ClassLoader classLoader)`

Method Summary
`String` | `getConnectorName()`
`void` | `setConnectorName(String connectorName)`

Methods inherited from class org.jbpm.process.workitem.wsht.AsyncGenericHTWorkItemHandler
`abortWorkItem, connect, dispose, executeWorkItem, getClassLoader, getClient, getIpAddress, getPort, isConnected, isLocal, isOwningSessionOnly, setClassLoader, setClient, setIpAddress, setLocal, setOwningSessionOnly, setPort`

Methods inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`createTaskBasedOnWorkItemParams, createTaskContentBasedOnWorkItemParams, setAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncHornetQHTWorkItemHandler

    public AsyncHornetQHTWorkItemHandler(KnowledgeRuntime session)

### AsyncHornetQHTWorkItemHandler

    public AsyncHornetQHTWorkItemHandler(KnowledgeRuntime session,
                                         boolean owningSessionOnly)

### AsyncHornetQHTWorkItemHandler

    public AsyncHornetQHTWorkItemHandler(AsyncTaskService client,
                                         KnowledgeRuntime session,
                                         boolean owningSessionOnly)

### AsyncHornetQHTWorkItemHandler

    public AsyncHornetQHTWorkItemHandler(KnowledgeRuntime session,
                                         OnErrorAction action)

### AsyncHornetQHTWorkItemHandler

    public AsyncHornetQHTWorkItemHandler(AsyncTaskService client,
                                         KnowledgeRuntime session,
                                         OnErrorAction action)

### AsyncHornetQHTWorkItemHandler

    public AsyncHornetQHTWorkItemHandler(String connectorName,
                                         AsyncTaskService client,
                                         KnowledgeRuntime session,
                                         OnErrorAction action)

### AsyncHornetQHTWorkItemHandler

    public AsyncHornetQHTWorkItemHandler(String connectorName,
                                         AsyncTaskService client,
                                         KnowledgeRuntime session,
                                         OnErrorAction action,
                                         ClassLoader classLoader)

Method Detail

### getConnectorName

    public String getConnectorName()

### setConnectorName

    public void setConnectorName(String connectorName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.